arm64 kernel crashdump support

Bug #1694859 reported by dann frazier on 2017-05-31
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kexec-tools (Ubuntu)
Undecided
dann frazier
Xenial
Undecided
dann frazier
Yakkety
Undecided
dann frazier
Zesty
Undecided
dann frazier
linux (Ubuntu)
Undecided
dann frazier
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
Zesty
Medium
dann frazier
makedumpfile (Ubuntu)
Undecided
dann frazier
Xenial
Undecided
dann frazier
Yakkety
Undecided
dann frazier
Zesty
Undecided
dann frazier

Bug Description

Note: Updates are being staged at ppa:dannf/arm64-kdump.

[Impact]
It is not possible to collect a kernel crash dump from a crashed arm64 server for later debugging.

[Test Case]
sudo apt install kdump-tools
(reboot, so crashkernel= is added to the kernel commandline)
echo c | sudo tee /proc/sysrq-trigger

Crash dump should occur, with artifacts collected in /var/crash.

If you want to verify that the dump is usable, install the corresponding linux-image-<ver>-dbgsym package and run:

sudo crash /usr/lib/debug/boot/vmlinux-<ver> /var/crash/<crash>/dump.<crash>

crash should successfully load, placing you at a "crash>" prompt. At that prompt, you can issue the 'bt' command to see a backtrace.
Note: you need crash from zesty (7.1.8-1ubuntu1) or later.

[Regression Risk]
= Kernel =
3 patches here touch code outside of arch/arm64/:

memblock: add memblock_clear_nomap()
This adds a new function with no callers, so regression risk is negligible.
(A later patch adds a call to it under arch/arm64/).

memblock: add memblock_cap_memory_range()
This refactors some of the code in memblock_mem_limit_remove_map() into a new function. The only existing caller of memblock_mem_limit_remove_map() is under arch/arm64/, so the regression risk outside of arm64 is negligible.

efi/libstub/arm*: Set default address and size cells values for an empty dtb
Because this code is for EFI platforms that support device-tree, it is de-facto ARM-specific (as noted in the patch title).

For arm64, we have mitigated the risk by explicit regression testing on several platforms:
 - Qualcomm QDF2400
 - Cavium ThunderX CRB1S
 - HP m400 (X-Gene)
 - HiSilicon D05 (Hi07)

= kexec-tools =
== zesty ==
For zesty, 10 patches are required to add kdump support.

0001-kexec-extend-the-semantics-of-kexec_iomem_for_each_l.patch:
This modifies a function used on armhf & x86. The description explains the change, and why it does not impact those archs:

-----
The current users of kexec_iomem_for_each_line(), arm, sh and x86, will not
be affected by this change because
* arm
  The callback function only returns -1 or 0, and the return value of
  kexec_iomem_for_each_line() will never be used.
* sh, x86
  The callback function may return (-1 for sh,) 0 or 1, but always returns
  1 once we have reached the maximum number of entries allowed.
  Even so the current kexec_iomem_for_each_line() counts them up.
  This change actually fixes this bug.
-----

0002-kexec-generalize-and-rename-get_kernel_stext_sym.patch:
This generalizes a function that was duplicated by arm & x86 and makes it common so arm64 can use it.

The remaining 8 of these only touch code in kexec/arch/arm64, so regression risk for other architectures is negligible.

Finally, I have tested this update on both i386 and amd64 VMs. i386 crashes do not currently work in zesty (filed LP: #1699874), and my test results show no change there. amd64 worked before, and continues to work with these changes.

== yakkety ==
Since yakkety is based on an older upstream, 6 additional patches are required:

arm-fix-get_kernel_stext_sym-to-close-its-file.patch:
This is a cleanup patch, cherry-picked because it allows later patches to apply w/o backporting. ARM-specific.

kexec-add-max_size-to-memory_ranges.patch:
Adds a new element to struct, to be used by later commits.

kexec-add-generic-helper-to-add-to-memoryq_regions.patch,
kexec-add-mem_regions-sorting-implementation.patch,
kexec-add-helper-to-exlude-a-region-from-a-set-of-me.patch,
kexec-fix-mem_regions_sort.patch:
These patches only add new functions, which will be used by later patches.

kexec-arch-i386-Add-support-for-KASLR-memory-randomi.patch:
This is a bug fix or i386 that allows later patches to apply w/o backporting.
kdump support for i386 is apparently broken for the yakkety kernel (see LP: #1699874) so, if this introduces a regression, it won't be detectable.
(I checked to see if this *fixes* i386 crashdumps - it does not).

Note that, while makedumpfile in >= zesty is new enough to work on arm64, the yakkety version does not. kdump-tools falls back to copying the entire vmcore, which is what I tested.
As with zesty, I have tested this update on both i386 and amd64 VMs. i386 crashes do not currently work in yakkety, and my test results show no change there. amd64 worked before, and continues to work with these changes.

= xenial =
The patchset needed for xenial is identical to the patchset for yakkety. The only additional change is to add arm64 to the list of archs that get a /etc/default/grub.d snippet (in yakkety that snippet moved over to kdump-tools), and that has negligible regression risk for !arm64.

I performed the same testing as with yakkety. The only significant difference is that i386 worked before and after this update (for y/z/a it worked neither before nor after).

dann frazier (dannf) on 2017-05-31
no longer affects: linux (Ubuntu Yakkety)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1694859

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Xenial):
status: New → Incomplete
Changed in linux (Ubuntu Zesty):
status: New → Incomplete
dann frazier (dannf) on 2017-06-01
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Zesty):
status: Incomplete → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kexec-tools (Ubuntu Xenial):
status: New → Confirmed
Changed in kexec-tools (Ubuntu Yakkety):
status: New → Confirmed
Changed in kexec-tools (Ubuntu Zesty):
status: New → Confirmed
Changed in kexec-tools (Ubuntu):
status: New → Confirmed
dann frazier (dannf) on 2017-06-08
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kexec-tools - 1:2.0.14-1ubuntu4

---------------
kexec-tools (1:2.0.14-1ubuntu4) artful; urgency=medium

  * Add backport of upstream arm64 crashdump support (LP: #1694859).

 -- dann frazier <email address hidden> Thu, 08 Jun 2017 17:18:49 -0600

Changed in kexec-tools (Ubuntu):
status: Confirmed → Fix Released
dann frazier (dannf) on 2017-06-15
Changed in makedumpfile (Ubuntu):
status: New → Confirmed
Changed in makedumpfile (Ubuntu Xenial):
status: New → Confirmed
Changed in makedumpfile (Ubuntu Zesty):
status: New → Confirmed
dann frazier (dannf) on 2017-06-15
Changed in kexec-tools (Ubuntu):
assignee: nobody → dann frazier (dannf)
Changed in kexec-tools (Ubuntu Zesty):
assignee: nobody → dann frazier (dannf)
status: Confirmed → In Progress
dann frazier (dannf) wrote :

By default, kdump-tools does not reserve enough memory for a crashkernel on arm64. The smallest reservation I've been able to get away with on my test machine (a Cavium ThunderX crb1s) is 512M.

While kdump-tools currently supports architecture-specific configs, it currently has issues that I am attempting to address here:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=863858

Adding an arm64 config before that is resolved in Debian may lead to upgrade complications, so I'd like to wait until is fixed before installing an arm64-specific config. This means that, for now, arm64 users will need to manually edit their /etc/default/grub.d/kdump-tools.default config to contain:

GRUB_CMDLINE_LINUX_DEFAULT="$GRUB_CMDLINE_LINUX_DEFAULT crashkernel=1G-:512M"

dann frazier (dannf) on 2017-06-20
Changed in linux (Ubuntu):
assignee: nobody → dann frazier (dannf)
dann frazier (dannf) on 2017-06-20
Changed in linux (Ubuntu):
status: Confirmed → In Progress
dann frazier (dannf) on 2017-06-20
no longer affects: kexec-tools (Ubuntu Yakkety)
Changed in kexec-tools (Ubuntu Yakkety):
assignee: nobody → dann frazier (dannf)
status: New → Confirmed
Changed in makedumpfile (Ubuntu Yakkety):
assignee: nobody → dann frazier (dannf)
status: New → Confirmed
Changed in linux (Ubuntu Yakkety):
status: New → Won't Fix
Changed in linux (Ubuntu Zesty):
assignee: nobody → dann frazier (dannf)
status: Confirmed → In Progress
Changed in linux (Ubuntu Xenial):
status: Incomplete → Won't Fix
dann frazier (dannf) on 2017-06-21
description: updated
dann frazier (dannf) on 2017-06-21
description: updated
Stefan Bader (smb) on 2017-06-21
Changed in linux (Ubuntu Zesty):
importance: Undecided → Medium
status: In Progress → Fix Committed
Manoj Iyer (manjo) on 2017-06-21
tags: added: qdf2400
dann frazier (dannf) on 2017-06-21
Changed in kexec-tools (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
Changed in makedumpfile (Ubuntu):
assignee: nobody → dann frazier (dannf)
Changed in makedumpfile (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
Changed in makedumpfile (Ubuntu Zesty):
assignee: nobody → dann frazier (dannf)
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
dann frazier (dannf) on 2017-06-22
description: updated
dann frazier (dannf) on 2017-06-22
description: updated
dann frazier (dannf) on 2017-06-23
Changed in kexec-tools (Ubuntu Yakkety):
status: Confirmed → In Progress
dann frazier (dannf) on 2017-06-23
description: updated
dann frazier (dannf) on 2017-06-23
Changed in kexec-tools (Ubuntu Xenial):
status: Confirmed → In Progress
dann frazier (dannf) on 2017-06-23
description: updated
dann frazier (dannf) on 2017-06-23
description: updated
description: updated

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
dann frazier (dannf) wrote :
Download full text (4.7 KiB)

ubuntu@grotrian:~$ cat /proc/version
Linux version 4.10.0-28-generic (buildd@bos01-arm64-012) (gcc version 6.3.0 20170406 (Ubuntu/Linaro 6.3.0-12ubuntu2) ) #32-Ubuntu SMP Fri Jun 30 05:33:10 UTC 2017
ubuntu@grotrian:~$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-4.10.0-28-generic root=UUID=fcf02e40-f2bd-4c9f-a9bd-1abe132cbc9e ro acpi=on crashkernel=1G-:512M
ubuntu@grotrian:~$ echo c | sudo tee /proc/sysrq-trigger
c

<crash/reboot>

ubuntu@grotrian:~$ sudo crash /usr/lib/debug/boot/vmlinux-4.10.0-28-generic /var/crash/201707102147/dump.201707102147

crash 7.1.8
Copyright (C) 2002-2016 Red Hat, Inc.
Copyright (C) 2004, 2005, 2006, 2010 IBM Corporation
Copyright (C) 1999-2006 Hewlett-Packard Co
Copyright (C) 2005, 2006, 2011, 2012 Fujitsu Limited
Copyright (C) 2006, 2007 VA Linux Systems Japan K.K.
Copyright (C) 2005, 2011 NEC Corporation
Copyright (C) 1999, 2002, 2007 Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002 Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. Enter "help copying" to see the conditions.
This program has absolutely no warranty. Enter "help warranty" for details.

GNU gdb (GDB) 7.6
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "aarch64-unknown-linux-gnu"...

      KERNEL: /usr/lib/debug/boot/vmlinux-4.10.0-28-generic
    DUMPFILE: /var/crash/201707102147/dump.201707102147 [PARTIAL DUMP]
        CPUS: 48
        DATE: Mon Jul 10 21:47:34 2017
      UPTIME: 00:35:42
LOAD AVERAGE: 0.13, 0.31, 0.26
       TASKS: 578
    NODENAME: grotrian
     RELEASE: 4.10.0-28-generic
     VERSION: #32-Ubuntu SMP Fri Jun 30 05:33:10 UTC 2017
     MACHINE: aarch64 (unknown Mhz)
      MEMORY: 128 GB
       PANIC: "sysrq: SysRq : Trigger a crash"
         PID: 5136
     COMMAND: "tee"
        TASK: ffff801f4682ba00 [THREAD_INFO: ffff801f4682ba00]
         CPU: 45
       STATE: TASK_RUNNING (SYSRQ)

crash> bt
PID: 5136 TASK: ffff801f4682ba00 CPU: 45 COMMAND: "tee"
 #0 [ffff801f48e8ba40] crash_kexec at ffff00000816ce94
 #1 [ffff801f48e8ba70] die at ffff00000808b23c
 #2 [ffff801f48e8bab0] do_page_fault at ffff000008a099e4
 #3 [ffff801f48e8bb20] do_translation_fault at ffff000008a09cb8
 #4 [ffff801f48e8bb50] do_mem_abort at ffff000008081490
 #5 [ffff801f48e8bd50] el1_ia at ffff000008082f28
     PC: ffff00000863ffcc [sysrq_handle_crash+36]
     LR: ffff000008640c54 [__handle_sysrq+292]
     SP: ffff801f48e8bd50 PSTATE: 00400145
    X29: ffff801f48e8bd50 X28: ffff801f4682ba00 X27: ffff000008a22000
    X26: 0000000000000040 X25: 0000000000000123 X24: 0000000000000015
    X23: 0000000000000000 X22: 0000000000000004 X21: ffff0000092a9500
    X20: 0000000000000063 X19: ffff000009231000 X18: ffffffffffffffff
    X17: 0000ffff796f43d0 X16: ffff00000829e9a8 X15: ffff000009208b10
    X14: ffff00008...

Read more...

tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package linux - 4.11.0-10.15

---------------
linux (4.11.0-10.15) artful; urgency=low

  * linux: 4.11.0-10.15 -proposed tracker (LP: #1701271)

  * Artful update to v4.11.8 stable release (LP: #1701269)
    - clk: sunxi-ng: a31: Correct lcd1-ch1 clock register offset
    - clk: sunxi-ng: v3s: Fix usb otg device reset bit
    - clk: sunxi-ng: sun5i: Fix ahb_bist_clk definition
    - xen/blkback: fix disconnect while I/Os in flight
    - xen-blkback: don't leak stack data via response ring
    - ALSA: firewire-lib: Fix stall of process context at packet error
    - ALSA: pcm: Don't treat NULL chmap as a fatal error
    - ALSA: hda - Add Coffelake PCI ID
    - ALSA: hda - Apply quirks to Broxton-T, too
    - fs/exec.c: account for argv/envp pointers
    - powerpc/perf: Fix oops when kthread execs user process
    - autofs: sanity check status reported with AUTOFS_DEV_IOCTL_FAIL
    - fs/dax.c: fix inefficiency in dax_writeback_mapping_range()
    - lib/cmdline.c: fix get_options() overflow while parsing ranges
    - perf/x86/intel: Add 1G DTLB load/store miss support for SKL
    - perf probe: Fix probe definition for inlined functions
    - KVM: x86: fix singlestepping over syscall
    - KVM: MIPS: Fix maybe-uninitialized build failure
    - KVM: s390: gaccess: fix real-space designation asce handling for gmap
      shadows
    - KVM: PPC: Book3S HV: Cope with host using large decrementer mode
    - KVM: PPC: Book3S HV: Preserve userspace HTM state properly
    - KVM: PPC: Book3S HV: Ignore timebase offset on POWER9 DD1
    - KVM: PPC: Book3S HV: Context-switch EBB registers properly
    - KVM: PPC: Book3S HV: Restore critical SPRs to host values on guest exit
    - KVM: PPC: Book3S HV: Save/restore host values of debug registers
    - CIFS: Improve readdir verbosity
    - CIFS: Fix some return values in case of error in 'crypt_message'
    - cxgb4: notify uP to route ctrlq compl to rdma rspq
    - HID: Add quirk for Dell PIXART OEM mouse
    - random: silence compiler warnings and fix race
    - signal: Only reschedule timers on signals timers have sent
    - powerpc/kprobes: Pause function_graph tracing during jprobes handling
    - powerpc/64s: Handle data breakpoints in Radix mode
    - Input: i8042 - add Fujitsu Lifebook AH544 to notimeout list
    - brcmfmac: add parameter to pass error code in firmware callback
    - brcmfmac: use firmware callback upon failure to load
    - brcmfmac: unbind all devices upon failure in firmware callback
    - time: Fix clock->read(clock) race around clocksource changes
    - time: Fix CLOCK_MONOTONIC_RAW sub-nanosecond accounting
    - arm64/vdso: Fix nsec handling for CLOCK_MONOTONIC_RAW
    - target: Fix kref->refcount underflow in transport_cmd_finish_abort
    - iscsi-target: Fix delayed logout processing greater than
      SECONDS_FOR_LOGOUT_COMP
    - iscsi-target: Reject immediate data underflow larger than SCSI transfer
      length
    - drm/radeon: add a PX quirk for another K53TK variant
    - drm/radeon: add a quirk for Toshiba Satellite L20-183
    - drm/amdgpu/atom: fix ps allocation size for EnableDispPowerGating
    - drm/amdgpu: adjust default display clock
   ...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

Hello dann, or anyone else affected,

Accepted kexec-tools into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kexec-tools/1:2.0.14-1ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kexec-tools (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-zesty
removed: verification-done-zesty
Brian Murray (brian-murray) wrote :

Hello dann, or anyone else affected,

Accepted kexec-tools into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kexec-tools/1:2.0.10-1ubuntu2.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kexec-tools (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (8.1 KiB)

This bug was fixed in the package linux - 4.10.0-28.32

---------------
linux (4.10.0-28.32) zesty; urgency=low

  * linux: 4.10.0-28.32 -proposed tracker (LP: #1701013)

  * KILLER1435-S[0489:e0a2] BT cannot search BT 4.0 device (LP: #1699651)
    - Bluetooth: btusb: Add support for 0489:e0a2 QCA_ROME device

  * aacraid driver may return uninitialized stack data to userspace
    (LP: #1700077)
    - SAUCE: scsi: aacraid: Don't copy uninitialized stack memory to userspace

  * CVE-2017-9605
    - drm/vmwgfx: Make sure backup_handle is always valid

  * CVE-2017-1000380
    - ALSA: timer: Fix race between read and ioctl
    - ALSA: timer: Fix missing queue indices reset at SNDRV_TIMER_IOCTL_SELECT

  * XDP eBPF programs fail to verify on Zesty ppc64el (LP: #1699627)
    - [Config] ppc64el: build for Power8 not Power7

  * AACRAID for power9 platform (LP: #1689980)
    - scripts/spelling.txt: add "therfore" pattern and fix typo instances
    - scsi: aacraid: fix PCI error recovery path
    - scsi: aacraid: pci_alloc_consistent() failures on ARM64
    - scsi: aacraid: Remove __GFP_DMA for raw srb memory
    - scsi: aacraid: Fix DMAR issues with iommu=pt
    - scsi: aacraid: Added 32 and 64 queue depth for arc natives
    - scsi: aacraid: Set correct Queue Depth for HBA1000 RAW disks
    - scsi: aacraid: Remove reset support from check_health
    - scsi: aacraid: Change wait time for fib completion
    - scsi: aacraid: Log count info of scsi cmds before reset
    - scsi: aacraid: Print ctrl status before eh reset
    - scsi: aacraid: Using single reset mask for IOP reset
    - scsi: aacraid: Rework IOP reset
    - scsi: aacraid: Add periodic checks to see IOP reset status
    - scsi: aacraid: Rework SOFT reset code
    - scsi: aacraid: Rework aac_src_restart
    - scsi: aacraid: Use correct function to get ctrl health
    - scsi: aacraid: Make sure ioctl returns on controller reset
    - scsi: aacraid: Enable ctrl reset for both hba and arc
    - scsi: aacraid: Add reset debugging statements
    - scsi: aacraid: Remove reference to Series-9
    - scsi: aacraid: Update driver version to 50834

  * arm64 kernel crashdump support (LP: #1694859)
    - memblock: add memblock_clear_nomap()
    - memblock: add memblock_cap_memory_range()
    - arm64: limit memory regions based on DT property, usable-memory-range
    - arm64: kdump: reserve memory for crash dump kernel
    - arm64: mm: add set_memory_valid()
    - arm64: mm: use phys_addr_t instead of unsigned long in __map_memblock
    - arm64: kdump: protect crash dump kernel memory
    - arm64: hibernate: preserve kdump image around hibernation
    - arm64: kdump: implement machine_crash_shutdown()
    - arm64: kdump: add VMCOREINFO's for user-space tools
    - [Config] CONFIG_CRASH_DUMP=y on arm64
    - arm64: kdump: provide /proc/vmcore file
    - Documentation: kdump: describe arm64 port
    - Documentation: dt: chosen properties for arm64 kdump
    - efi/libstub/arm*: Set default address and size cells values for an empty dtb

  * hibmc driver does not include "pci:" prefix in bus ID (LP: #1698700)
    - SAUCE: drm: hibmc: Use set_busid function from drm core

  * Processes in "D" state due to za...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
dann frazier (dannf) wrote :

kexec-tools/zesty verification
-------------------------------
1) MAAS-deployed a clean zesty install
2) Added -proposed to sources.list
3) apt update; apt dist-upgrade; apt install kdump-tools
4) Edited /etc/default/grub.d/kdump-tools.cfg and set crashkernel=1G-:512M
   (this step is required until defaults are updated via kdump-tools)
5) Rebooted for changes to take effect.
6) Noticed that kdump-tools failed to load due to a broken symlink;
   ran 'dpkg-reconfigure kdump-tools' to fix
7) Added ddebs.ubuntu.com to sources.list & installed apt key for it
8) apt install linux-image-$(uname -r)-dbgsym

Test log attached.

tags: added: verification-done-zesty
removed: verification-needed-zesty
dann frazier (dannf) wrote :

kexec-tools/xenial verification
-------------------------------
1) MAAS-deployed a clean xenial install
2) Added -proposed to sources.list
3) xenial linux-hwe doesn't yet have arm64/kdump support, so I installed
   linux-hwe from ppa:canonical-kernel-team/ppa to get a new enough version.
4) Also installed linux-image-4.10.0-28-generic-dbgsym from CKT PPA.
5) Installed a manually built makedumpfile deb to fulfill a dependency for kdump-tools
   The only change is adding 'arm64' to the Architecture list in debian/control
   (Resolving that is another bug task here).
6) Installed crash deb from zesty - xenial's crash is too old to support 4.10 on arm64.
7) apt update; apt dist-upgrade; apt install kdump-tools
4) Edited /etc/default/grub.d/kdump-tools.cfg and set crashkernel=1G-:512M
   (this step is required until defaults are updated via kdump-tools)
5) Rebooted for changes to take effect.
6) Noticed that kdump-tools failed to load due to a broken symlink;
   ran 'dpkg-reconfigure kdump-tools' to fix
7) Ran the test case in this bug's description. Test log attached.

tags: added: verification-done-xenial
removed: verification-needed-xenial
tags: added: verification-done
removed: verification-needed
Brian Murray (brian-murray) wrote :

Hello dann, or anyone else affected,

Accepted makedumpfile into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/makedumpfile/1:1.5.9-5ubuntu0.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in makedumpfile (Ubuntu):
status: Confirmed → Fix Released
Changed in makedumpfile (Ubuntu Zesty):
status: Confirmed → Fix Released
Changed in makedumpfile (Ubuntu Yakkety):
status: Confirmed → Won't Fix
Changed in makedumpfile (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done verification-done-xenial
dann frazier (dannf) wrote :
Download full text (3.7 KiB)

dannf@d05-3:~$ sudo apt install kdump-tools
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  crash kexec-tools makedumpfile
The following NEW packages will be installed:
  crash kdump-tools kexec-tools makedumpfile
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,291 kB of archives.
After this operation, 7,092 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://us.ports.ubuntu.com/ubuntu-ports xenial-updates/main arm64 crash arm64 7.1.4-1ubuntu4.1 [2,096 kB]
Get:2 http://us.ports.ubuntu.com/ubuntu-ports xenial-proposed/main arm64 makedumpfile arm64 1:1.5.9-5ubuntu0.5 [111 kB]
Get:3 http://us.ports.ubuntu.com/ubuntu-ports xenial-proposed/main arm64 kexec-tools arm64 1:2.0.10-1ubuntu2.3 [63.3 kB]
Get:4 http://us.ports.ubuntu.com/ubuntu-ports xenial-proposed/main arm64 kdump-tools all 1:1.5.9-5ubuntu0.5 [20.9 kB]
Fetched 2,291 kB in 0s (21.4 MB/s)
Preconfiguring packages ...
Selecting previously unselected package crash.
(Reading database ... 93733 files and directories currently installed.)
Preparing to unpack .../crash_7.1.4-1ubuntu4.1_arm64.deb ...
Unpacking crash (7.1.4-1ubuntu4.1) ...
Selecting previously unselected package makedumpfile.
Preparing to unpack .../makedumpfile_1%3a1.5.9-5ubuntu0.5_arm64.deb ...
Unpacking makedumpfile (1:1.5.9-5ubuntu0.5) ...
Selecting previously unselected package kexec-tools.
Preparing to unpack .../kexec-tools_1%3a2.0.10-1ubuntu2.3_arm64.deb ...
Unpacking kexec-tools (1:2.0.10-1ubuntu2.3) ...
Selecting previously unselected package kdump-tools.
Preparing to unpack .../kdump-tools_1%3a1.5.9-5ubuntu0.5_all.deb ...
Unpacking kdump-tools (1:1.5.9-5ubuntu0.5) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu19) ...
Processing triggers for ureadahead (0.100.0-19) ...
ureadahead will be reprofiled on next reboot
Setting up crash (7.1.4-1ubuntu4.1) ...
Setting up makedumpfile (1:1.5.9-5ubuntu0.5) ...
Setting up kexec-tools (1:2.0.10-1ubuntu2.3) ...
Generating /etc/default/kexec...
Generating grub configuration file ...
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23506: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23506: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23555: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23555: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23598: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23598: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23675: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23675: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23823: /usr/sbin/grub-probe
File descriptor 3 (pipe:[70529]) leaked on vgs invocation. Parent PID 23823: /usr/sbin/grub-probe
Found linux image: /boot/...

Read more...

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kexec-tools - 1:2.0.10-1ubuntu2.3

---------------
kexec-tools (1:2.0.10-1ubuntu2.3) xenial; urgency=medium

  * Add backport of upstream arm64 crashdump support (LP: #1694859).

 -- dann frazier <email address hidden> Fri, 23 Jun 2017 12:27:52 -0600

Changed in kexec-tools (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kexec-tools has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kexec-tools - 1:2.0.14-1ubuntu3.1

---------------
kexec-tools (1:2.0.14-1ubuntu3.1) zesty; urgency=medium

  * Add backport of upstream arm64 crashdump support (LP: #1694859).

 -- dann frazier <email address hidden> Wed, 21 Jun 2017 15:15:25 -0600

Changed in kexec-tools (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.